Incompatible Forms version in my Joomla 3 install...

Hello

I logged into my Joomla 3 install and my Forms plugin recommended an update...so as usual I ran the update and it then broke all my forms. So I had to reinstall an older version of forms to recvoer everyhing.

So...why is an incompatible version of Forms being offered in my Joomla dashboard??

Replies are visible only to logged in members with an active subscription.